:root {

    --help: #4a90e2;
    --info: #339900;
    --error: #cc3300;
    --warning: #ffcc00;
    --notice: #BAFF1A;
    --focused: #006ce7;
    --focused-bg: #e8f0fe;
    --disabled: #fafafa;
    --disabled-text: #b3b3b3; 

    --minus: #47a078;
    --plus: #0a0a0b;
}

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}


a, a:visited {
    color: #000;
    text-decoration: none;
}

.help {
    color: var(--help) !important;
}

.info {
    color: var(--info) !important;
}

.error {
    color: var(--error) !important;
}

.warning {
    color: var(--warning) !important;
}

.deleted {
    background-color: var(--disabled) !important;
    color: var(--disabled-text) !important;
}

.none {
    color: var(--disabled-text) !important;
}

.clear-both {
    clear: both;
}

.nowrap {
    white-space: nowrap;
}

.sound_only {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

/* 말줄임 */
.shorten {
    width: 100%;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

/* 양수 */
.plus {
    color: var(--plus);
    font-weight: 600;
}

/* 음수 */
.minus {
    color: var(--minus);
    font-weight: 600;
}

.mobile-only {
    display: none !important;
}

main input[type="file"] {
    display: none;
}

main fieldset {
    display: block;
    border: 0;
}


@media (max-width : 640px) {

  body::-webkit-scrollbar {
      width: 3px;
      height: 3px;
  }
  body::-webkit-scrollbar-track {
      background: rgba(0,0,0,0.1);
  }
  body::-webkit-scrollbar-thumb{
      background: rgba(0,0,0,0.2);
  }
  body::-webkit-scrollbar-thumb:hover{
      background: rgba(0,0,0,0.4);
  }
  body::-webkit-scrollbar-thumb:active{
      background: rgba(0,0,0,.9);
  }

  .mobile-only {
    display: initial !important;
  }

  .wide-only {
    display: none !important;
  }

}
